Bug 204598 - Error message about missing dependencies almost unreadable depending on color scheme
Error message about missing dependencies almost unreadable depending on color...
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Dialogs&Wizards
7.1
PC Windows XP
: P3 (vote)
: 7.2
Assigned To: Stanislav Aubrecht
issues@platform
: L&F
Depends on: 200289
Blocks: 183624
  Show dependency treegraph
 
Reported: 2011-11-02 17:56 UTC by tomwheeler
Modified: 2012-04-05 09:42 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
screenshot illustrating the bug (33.07 KB, image/png)
2011-11-02 17:56 UTC, tomwheeler
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tomwheeler 2011-11-02 17:56:38 UTC
Created attachment 112755 [details]
screenshot illustrating the bug

I was trying out the 201110250600 nightly build and discovered an issue which I cannot reproduce in NetBeans IDE 7.0 or earlier.  

Like many developers, my desktop color scheme is set to dark gray.  The error message in the NetBeans suite project customizer's Libraries category has changed from its original foreground color (black, on my machine) to a brownish-yellow which is nearly unreadable on my system (see attached).

To reproduce (on MS Windows XP):

1.  Open the Control Panel and edit the Display Properties to set the color of 3D Objects to Red=160, Green=160, Blue=164.  Click OK and wait for the change to take effect.

2.  Start NetBeans IDE and open a suite project.

3.  Right click on the suite in the Projects tab and choose Properties from the context menu.

4.  Select the Libraries category on the left of the customizer window

5.  Expand a cluster (such as apisupport) and then uncheck a module (such as CRUD Application Platform Sample) which is a dependency for another module.

You should observe that the error message shown along the bottom of the project customizer is effectively unreadable.  

Obviously, using the default color scheme is one workaround but using MS Windows is painful enough without the added torture of the default color scheme searing my retinas.  The only other workaround is to select the error message's text so that the message is is shown in inverse colors and is readable.
Comment 1 Jesse Glick 2011-11-10 20:39:26 UTC
I guess warningColor cannot be hardcoded to an RGB value, it should be derived with the L&F-specific component background color in mind.
Comment 2 Stanislav Aubrecht 2011-11-11 09:25:59 UTC
(In reply to comment #1)
> I guess warningColor cannot be hardcoded to an RGB value, it should be derived
> with the L&F-specific component background color in mind.

it's not easy to derive warning-like color and ensure it is contrasting with window background.
perhaps i should just use the default foreground color (black). the icon would be the visual cue then.
Comment 3 Jesse Glick 2011-11-16 00:43:40 UTC
I.e. revert bug #183624, relying on bug #200289?
Comment 4 Stanislav Aubrecht 2012-04-04 12:24:24 UTC
I switched the color back to dark grey, the warning icon should be showing now.

core-main d31b14bcd044
Comment 5 Quality Engineering 2012-04-05 09:42:56 UTC
Integrated into 'main-golden', will be available in build *201204050400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/d31b14bcd044
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #204598 - there's no cross-platform warning-like color


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo